[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AnchorToNeighbour

Anchor to Sibling at Side.

## Declaration

Source position: controls.pp line 1645

`public procedure TControl.AnchorToNeighbour(`
`Side: TAnchorKind;`
`Space: TSpacingSize;`
`Sibling: TControl`
`);`

## Arguments

`Side` |  | The side to be anchored to Sibling.
`Space` |  | The minimum space to Sibling.
`Sibling` |  | The sibling control to which we should anchor.

## Description

Setup AnchorSide to anchor a side to a neighboring sibling control. For example: Right side to Left side, or Top side to Bottom.